Bug 1225237 - [UX] [doc] FILES section missing from manual pages
[UX] [doc] FILES section missing from manual pages
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
22
Unspecified Unspecified
low Severity unspecified
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-05-26 18:40 EDT by Patrick O'Callaghan
Modified: 2015-08-19 03:51 EDT (History)
7 users (show)

See Also:
Fixed In Version: dnf-plugins-core-0.1.10-1.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-14 22:13:46 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Patrick O'Callaghan 2015-05-26 18:40:28 EDT
Description of problem:
The dnf(1) and dnf.conf(5) man pages have no FILES section.

Version-Release number of selected component (if applicable):
dnf-1.0.0-1.fc22.noarch

How reproducible:
Always

Steps to Reproduce:
1.Run "man dnf" and "man dnf.conf"
2.Check FILES section for info on where the dnf config information is stored
3.Fail to find it

Actual results:
Frustration

Expected results:
Mention of /etc/yum.repos.d/ and /etc/dnf/ in the appropriate section of the manual.

Additional info:
The config info for dnf is given in the body of the dnf.conf(5) page, however this is unnecessarily hard to find. Long-standing convention (see man(1)) is to have a FILES section for this kind of information.
Comment 1 Honza Silhan 2015-07-01 04:45:09 EDT
Thanks for the report.

man dnf FILES should contain at least:
/var/cache/dnf
/etc/dnf/dnf.conf
/etc/yum.repos.d/

man dnf.conf FILES should mention:
/etc/dnf/dnf.conf
/etc/yum.repos.d/
Comment 2 Fedora Update System 2015-08-10 06:05:28 EDT
dnf-plugins-core-0.1.10-1.fc23,dnf-1.1.0-1.fc23,hawkey-0.6.0-1.fc23 has been submitted as an update for Fedora 23.
https://admin.fedoraproject.org/updates/dnf-plugins-core-0.1.10-1.fc23,dnf-1.1.0-1.fc23,hawkey-0.6.0-1.fc23
Comment 3 Fedora Update System 2015-08-10 06:49:34 EDT
dnf-plugins-core-0.1.10-1.fc22,dnf-1.1.0-1.fc22,hawkey-0.6.0-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/dnf-plugins-core-0.1.10-1.fc22,dnf-1.1.0-1.fc22,hawkey-0.6.0-1.fc22
Comment 4 Fedora Update System 2015-08-10 22:10:48 EDT
Package dnf-plugins-core-0.1.10-1.fc22, dnf-1.1.0-1.fc22, hawkey-0.6.0-1.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dnf-plugins-core-0.1.10-1.fc22 dnf-1.1.0-1.fc22 hawkey-0.6.0-1.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-13162/dnf-plugins-core-0.1.10-1.fc22,dnf-1.1.0-1.fc22,hawkey-0.6.0-1.fc22
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2015-08-14 22:13:46 EDT
dnf-plugins-core-0.1.10-1.fc22, hawkey-0.6.0-1.fc22, dnf-1.1.0-2.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2015-08-19 03:51:18 EDT
dnf-plugins-core-0.1.10-1.fc23, hawkey-0.6.0-1.fc23, dnf-1.1.0-2.fc23 has been pushed to the Fedora 23 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.